#ifndef _GTKZ_ZCALLS_H
#define _GTKZ_ZCALLS_H

#include <string.h>

typedef void (*handlerfunc) (ZNotice_t *notice, gtkzephyr_subscrip *subscrip);

void gtkzephyr_connect();
void gtkzephyr_disconnect();
gint gtkzephyr_checknewnotices(gpointer a);
void gtkzephyr_flush_loc(GtkWidget *widget);
void gtkzephyr_hide(GtkWidget *widget);
void gtkzephyr_unhide(GtkWidget *widget);
void gtkzephyr_update_userlist(GHashTable *usertable);
void gtkzephyr_send_text(gtkzephyr_subscrip *subscrip, GtkEditable *editable, handlerfunc handle_function);
void gtkzephyr_handle_unknown_notice(ZNotice_t *notice);
gchar *gtkzephyr_get_signature(gchar *message);
gchar *gtkzephyr_get_body(gchar *message, gint mlength);
void gtkzephyr_sub_login_class(gtkzephyr_user *user);
void gtkzephyr_sub(gchar *class, gchar *instance, gchar *recipients);
void gtkzephyr_flush_sub_list();
void gtkzephyr_sub_instant(gchar *class, gchar *instance, gchar *recipients);
void gtkzephyr_unsub(gchar *class, gchar *instance, gchar *recipients);
void gtkzephyr_flush_unsub_list();
void gtkzephyr_unsub_instant(gchar *class, gchar *instance, gchar *recipients);
void gtkzephyr_punt(gchar *class, gchar *instance, gchar *recipients);
gchar *gtkzephyr_get_local_userid();
void gtkzephyr_macro_sub(gchar *field);
#define gtkzephyr_get_userid(foo)	g_strndup(foo, strchr(foo, '@') - foo)
#define TOKEN_HOSTNAME  "%host%"
#define TOKEN_CANONNAME "%canon%"
#define TOKEN_ME        "%me%"
#define TOKEN_WILD      "*"
#define  UNSUBSCRIBE_CHARACTER  '!'
#define  PUNT_CHARACTER         '-'
#define DEFAULT_CLASS "MESSAGE"
#define DEFAULT_INSTANCE "PERSONAL"
#define URGENT_INSTANCE "URGENT"


#endif
